declare type pathPattern = {
    staticType: boolean;
    variable: string | null;
    regex: string;
};
export declare const parsePattern: (pattern: string) => pathPattern[];
export declare const createRouteRegex: (pathPattern: pathPattern[], openEnd: boolean) => string;
export declare const getVariables: (pathPattern: pathPattern[], pattern: string) => any;
export declare const logger: (...message: any) => void;
export declare const enableLogger: () => void;
export declare const disableLogger: () => void;
export {};
